﻿using System.Drawing;
using System.Reflection;
using Stimulsoft.Base;

namespace SampleProject.Reporting.Helper;

public static class ReportFontHelper
{
    private const string _fontFamilyName = "JMH Typewriter";


    private static void SetupFont()
    {
        var path = Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location);
        StiFontCollection.AddFontFile(Path.Combine(Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location), @"Reporting\Helper\Fonts\JMH Typewriter.ttf"));
        StiFontCollection.AddFontFile(Path.Combine(Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location), @"Reporting\Helper\Fonts\JMH Typewriter-Bold.ttf"));
    }

    public static FontFamily GetFontFamily()
    {
        SetupFont();
        return StiFontCollection.GetFontFamily(_fontFamilyName);
    }
}