﻿using System.Drawing;
using Stimulsoft.Report;
using Stimulsoft.Report.Components;

namespace SampleProject.Reporting.Helper
{
    public class ReportPageHelper
    {

        private readonly FontFamily _fontFamily;

        public ReportPageHelper()
        {
            _fontFamily = ReportFontHelper.GetFontFamily();
        }

        public void SetReportFonts(StiReport report)
        {
            foreach (StiPage page in report.RenderedPages)
            {
                foreach (StiComponent component in page.Components)
                {
                    if (component is not StiText textComponent)
                        continue;

                    var style = textComponent.Font.Bold ? FontStyle.Bold : FontStyle.Regular;
                    textComponent.Font = new Font(_fontFamily, textComponent.Font.Size, style);
                }
            }
        }
    }
}
