﻿#nullable enable

namespace SampleProject.Reporting.PrintObjects
{
    public class PrintData
    {
        public PrintData(object? content, string contentName, string? templatePath)
        {
            if (string.IsNullOrEmpty(templatePath))
                throw new ArgumentNullException(nameof(templatePath));

            if (!File.Exists(templatePath))
                throw new FileNotFoundException($"Template file not found: {templatePath}", templatePath);

            if (string.IsNullOrEmpty(contentName))
                throw new ArgumentNullException(nameof(contentName));

            Content = content ?? throw new ArgumentNullException(nameof(content));
            ContentName = contentName;
            TemplatePath = templatePath;
            TextFieldBookmarks = Enumerable.Empty<string>();
        }

        public object Content { get; set; }

        public string ContentName { get; set; }
        public string TemplatePath { get; }
        public IEnumerable<string> TextFieldBookmarks { get; }
    }
}
